Page MenuHomePhabricator

[RfC] Decide what link text to use for rich wikitext formatted URLs
Closed, ResolvedPublic

Description

We should decide what we want to use as link text when trying to format URLs as rich wikitext.

We have several options:

  1. Do nothing (that's what we currently do)
  2. Strip the https?://, but use the rest as is, that's what most current browsers do. (That should not apply to any other protocols.)
  3. Strip more of the URL or allow other fancy things

Personally I lean towards #1, but I can also see the point of being consistent with browsers and other web applications here (that would mean #2).

Event Timeline

hoo created this task.Nov 4 2016, 2:49 PM
Izno added a subscriber: Izno.Nov 4 2016, 5:19 PM

On en.wp, the URI scheme is usually removed in infoboxes.

Izno added a comment.Nov 4 2016, 5:24 PM

I think removing the scheme in the case of a non-http link could cause an unexpected user interaction. So displaying that scheme makes sense.

thiemowmde lowered the priority of this task from High to Low.Nov 8 2016, 12:06 PM
  • Not all browsers hide the scheme in the address bar.
  • Some browsers also hide everything after the question mark. Do we need to be "consistent" with that? Personally I believe it's a horrible idea to hide possibly critical information from the user. This is an actual attack vector.
  • We do support many schemes, including irc and svn, to name just a few. We can not hide all, otherwise the user can not distinguish ftp://example.com and http://example.com any more. But just hiding some schemes is inconsistent and confusing.
  • I believe it's still valuable to see the difference between http:// and https://. Browsers show lock icons when they hide https://. I believe we should not add icons to our wikitext renderer.
  • Hiding http:// did made some sense when a URL started with www. or ended with a commonly known top level domain like .com. Almost all users will understand that they are looking at a URL when they see www.example.com. Most German users will understand that they are looking at a URL when they see wikipedia.de. But this is language and region specific. We can not give any of these guarantees for the entirety of the Wikimedia movement. Nowadays strings like web.link or car.rentals (see http://newgtlds.icann.org/en/program-status/delegated-strings for a full list) are valid URLs, but do not look like one any more. Displaying the full https://car.rentals does make this so much more obvious, in my opinion.

Please let's go with #1.

Lucie added a comment.Nov 11 2016, 8:58 PM

Even though I prefer #2 for aesthetic reasons, I think @thiemowmde makes a very good point here for option #1. So I'd suggest to go with #1, too.

daniel closed this task as Resolved.Nov 11 2016, 11:04 PM
daniel claimed this task.

@Lucie I agree. Marking this as resolved.